org.apache.ignite.internal.pagemem.wal.record

## Interface WalRecordCacheGroupAware

All Known Implementing Classes:
  DataPageInsertFragmentRecord, DataPageInsertRecord, DataPageRemoveRecord, DataPageSetFreeListPageRecord, DataPageUpdateRecord, FixCountRecord, FixLeftmostChildRecord, FixRemoveId, InitNewPageRecord, InnerReplaceRecord, InsertRecord, MergeRecord, MetaPageAddRootRecord, MetaPageCutRootRecord, MetaPageInitRecord, MetaPageInitRootInlineRecord, MetaPageInitRootRecord, MetaPageUpdateLastAllocatedIndex, MetaPageUpdateLastSuccessfulFullSnapshotId, MetaPageUpdateLastSuccessfulSnapshotId, MetaPageUpdateNextSnapshotId, MetaPageUpdatePartitionDataRecord, NewRootInitRecord, PageDeltaRecord, PageListMetaResetCountRecord, PagesListAddPageRecord, PagesListInitNewPageRecord, PagesListRemovePageRecord, PagesListSetNextRecord, PagesListSetPreviousRecord, PageSnapshot, PartitionDestroyRecord, PartitionMetaStateRecord, RecycleRecord, RemoveRecord, ReplaceRecord, SplitExistingPageRecord, SplitForwardPageRecord, TrackingPageDeltaRecord

    public interface WalRecordCacheGroupAware

WAL record related to specific cache group.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `groupId()`

### Method Detail

#### groupId

    int groupId()

Returns:
  Cache group ID.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018